%define		_status		stable
%define		_pearname	Text_Password
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - creating passwords with PHP
Summary(pl.UTF-8):	%{_pearname} - tworzenie haseł
Name:		php-pear-%{_pearname}
Version:	1.2.1
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	700d47c71eb875403ee26f2c198e8421
URL:		http://pear.php.net/package/Text_Password/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 4.2.0
Requires:	php-pear
Obsoletes:	php-pear-Text_Password-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Text_Password allows one to create pronounceable and unpronounceable
passwords. The full functional range is explained in the manual at
http://pear.php.net/manual/.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Za pomocą Text_Password możliwe jest stworzenie dających się
wypowiedzieć (lub nie) haseł. Pełna funkcjonalność opisana jest w
podręczniku dostępnym pod adresem http://pear.php.net/manual/

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Text/*.php
%changelog
* Tue Feb 26 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-Text_Password.git;a=log;h=master

* Tue Feb 26 2019 Adam Gołębiowski <adamg@pld-linux.org> e0c79dd
- updated to 1.2.1

* Wed May 14 2014 Elan Ruusamäe <glen@delfi.ee> b36e0d9
- drop unused epoch 0

* Wed May 14 2014 Elan Ruusamäe <glen@delfi.ee> 46a1625
- use virtual php extension deps (to be independant of php version)
- release 3 (by relup.sh)

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> dfcb8cc
- release 2

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 98cc3c0
- dropped -tests subpackage

* Sat Dec 27 2008 Adam Gołębiowski <adamg@pld-linux.org> 5fd08db
- updated to 1.1.1

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> ecafc1b
- rel 3

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 7d68d97
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> aabdff4
- converted to UTF-8

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> c8b4513
- BR rpm-build macros >= 1.300 for %pear_ macros

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> 7312ac4
- AutoProv: no for -tests

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 6c0c2c9
- BR php-pear-PEAR

* Mon Feb 20 2006 Elan Ruusamäe <glen@pld-linux.org> ea3f04d
- group Development/Languages/PHP for -tests

* Thu Oct 27 2005 Jakub Bogusz <qboosh@pld-linux.org> b3c42ba
- define Epoch to 0 explicitly when using it

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> 21ee9f8
- rel 2

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> 43a8ffe
- semi automatically added deps from pear

* Fri Sep 30 2005 Elan Ruusamäe <glen@pld-linux.org> 583d016
- new pear packaging

* Sun Aug 21 2005 Adam Gołębiowski <adamg@pld-linux.org> c989b8b
- updated to 1.1.0

* Sat Dec 04 2004 Adam Gołębiowski <adamg@pld-linux.org> 92afc09
- rebuild with new PEAR provides/requires scripts
- release 2

* Sun May 30 2004 Adam Gołębiowski <adamg@pld-linux.org> fe1490c
- fixed english information about status of the package

